﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WawaSoft.HttpStack {
    public class BytesLine {
        private Encoding _encoding = Encoding.ASCII;
        public BytesLine() {
        }
        public BytesLine(Encoding encoding) {
            _encoding = encoding;
        }

        public byte[] Bytes = new byte[256];
        public int Pos1 = -1, Size = -1;
        public string String1 {
            get {
                if (Pos1 == -1) return null;
                return _encoding.GetString(Bytes, 0, Pos1);
            }
        }
        public string String2 {
            get {
                if (Pos1 == -1) return null;
                return _encoding.GetString(Bytes, Pos1 + 1, Size - Pos1 - 1 -2);
            }
        }
        public string FullString
        {
            get {
                if(Size < 1) return null;
                return _encoding.GetString(Bytes, 0, Size-2);
            }
        }
    }
}
